Subject: Re: [RFC] RTT metrics scaling

From: Stephen Hemminger <[email-masked]>
Date: Fri, 27 Jun 2008 22:30:07 -0700

On Fri, 27 Jun 2008 19:50:13 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Fri, 20 Jun 2008 16:22:34 -0700
> 
> > Some of the metrics (RTT, RTTVAR and RTAX_RTO_MIN) are stored in kernel
> > units (jiffies) and this leaks out through the netlink API to user space
> > where the units for jiffies are unknown.
> > 
> > This patches changes the kernel to convert to/from milliseconds. This changes
> > the ABI, but milliseconds seemed like the most natural unit for these parameters.
> > 
> > This patch is for comment only, just to show how it would be implemented.
> > I will update it after testing more.
> 
> No real objection.
> 
> But aren't we approaching microsecond RTT's soon? :-) (yes, I know in
> TCP we min clamp at 200ms RTT, but that clamp we probably want to
> remove soon)

We could put in microseconds, but since it is computer off of jiffies (ie clock
ticks), the resolution wouldn't be worth it.

> If you don't think that's worth worrying about, I'll apply this patch.

Hold off it needs more testing.